Skip to main content
Layouts

Import External Layout

POST
/api/layouts/v1/importext
Authorizationstringheaderrequired

Access token from POST /api/v1/auth/login

Body

multipart/form-data
externalLayoutZipstringrequired

Zip File of the external layout you want to import Create your own layout using an external HTML builder and zip all related assets. Import the zip file containing all CSS, JavaScript and Image files. The layout must be named as index.html

payloadobject

This is a JSON object that should include the following parameters layout_name (Required) : The layouts name. This name can be the same as an exisitng external layout and in that case, this will overwrite the existing internal layout. But this name cannot match an existing internal layout tags (Optional) : An array of tags record_pop (Optional): boolean true or false to turn on pop on the layout. Default is false publish (Optional): boolean true or false to publish the layout. Default is false folder_path (Optional): String with / separated folder names. Default is Root. provide full folder path to ensure accuracy as shown in example

Success. Response body is not documented in the source collection.